## org.apache.batik.dom.svg
Class AbstractSVGNumber

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGNumber

All Implemented Interfaces:
  SVGNumber

Direct Known Subclasses:
  AbstractSVGNumberList.SVGNumberItem

public abstract class AbstractSVGNumber
extends java.lang.Object
implements SVGNumber

Constructor Summary
`AbstractSVGNumber()` Creates a new instance of SVGOMNumber

Method Summary
`float` `getValue()`
`void` `setValue(float f)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSVGNumber

    public AbstractSVGNumber()

  Creates a new instance of SVGOMNumber

Method Detail

### getValue

    public float getValue()

  Specified by:
    `getValue` in interface `SVGNumber`

### setValue

    public void setValue(float f)

  Specified by:
    `setValue` in interface `SVGNumber`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.